"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const aria = require("../../../constants/aria.js");
const runtime = require("../../../utils/vue/props/runtime.js");
const trigger = require("../../popper/src/trigger.js");
const useTooltipTriggerProps = runtime.buildProps({
  ...trigger.popperTriggerProps,
  disabled: Boolean,
  trigger: {
    type: runtime.definePropType([String, Array]),
    default: "hover"
  },
  triggerKeys: {
    type: runtime.definePropType(Array),
    default: () => [
      aria.EVENT_CODE.enter,
      aria.EVENT_CODE.numpadEnter,
      aria.EVENT_CODE.space
    ]
  },
  focusOnTarget: Boolean
});
exports.useTooltipTriggerProps = useTooltipTriggerProps;
